### Class

# Foundry ForgeListing

since: 1.1

#### Description [src]

    abstract class Foundry.ForgeListing : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

Abstract base class for managing paginated listings from forge services.

FoundryForgeListing provides functionality for handling paginated data from forge services including automatic loading, page management, and model integration. It supports efficient data loading and provides a unified interface for displaying large datasets from forge APIs.

Available since: 1.1

#### Ancestors

- GObject

#### Implements

- GListModel

#### Instance methods

###### foundry_forge_listing_get_auto_load

Gets the auto-load property.

since: 1.1

###### foundry_forge_listing_get_n_pages

Gets the number of pages.

since: 1.1

###### foundry_forge_listing_get_page_size

Gets the number of items per page.

since: 1.1

###### foundry_forge_listing_load_all

Tries to load all pages of results.

###### foundry_forge_listing_load_page

No description available.

since: 1.1

###### foundry_forge_listing_set_auto_load

Sets the auto-load property.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Foundry.ForgeListing:auto-load

No description available.

###### Foundry.ForgeListing:n-pages

No description available.

###### Foundry.ForgeListing:page-size

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct FoundryForgeListingClass {
      GObjectClass parent_class;
      guint (* get_n_pages) (
        FoundryForgeListing* self
      );
      guint (* get_page_size) (
        FoundryForgeListing* self
      );
      DexFuture* (* load_page) (
        FoundryForgeListing* self,
        guint page
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_n_pages: guint (* get_n_pages) ( FoundryForgeListing* self )`

  No description available.

`get_page_size: guint (* get_page_size) ( FoundryForgeListing* self )`

  No description available.

`load_page: DexFuture* (* load_page) ( FoundryForgeListing* self, guint page )`

  No description available.

#### Virtual methods

###### Foundry.ForgeListingClass.get_n_pages

Gets the number of pages.

since: 1.1

###### Foundry.ForgeListingClass.get_page_size

Gets the number of items per page.

since: 1.1

###### Foundry.ForgeListingClass.load_page

No description available.

since: 1.1